%global major 1
%define libname %mklibname freehand %major
%define devname %mklibname -d freehand
%global apiversion 0.1

Name: libfreehand
Version: 0.1.0
Release: %mkrel 4
Summary: A library for import of Macromedia/Adobe FreeHand documents

Group: System/Libraries
License: MPLv2.0
URL: http://www.freedesktop.org/wiki/Software/libfreehand/
Source: http://dev-www.libreoffice.org/src/%{name}-%{version}.tar.xz

BuildRequires: doxygen
BuildRequires: gperf
BuildRequires: help2man
BuildRequires: pkgconfig(librevenge-0.0)
BuildRequires: pkgconfig(zlib)


%description
libfreehand is library providing ability to interpret and import
Macromedia/Adobe FreeHand documents into various applications.

%package -n %libname
Summary: A library for import of Macromedia/Adobe FreeHand documents
Group: System/Libraries

%description -n %libname
libfreehand is library providing ability to interpret and import
Macromedia/Adobe FreeHand documents into various applications.

%package -n %devname
Summary: Development files for %{name}
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: libfreehand-devel

%description -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation of %{name} API
Group: Documentation
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%package tools
Summary: Tools to transform Macromedia/Adobe FreeHand documents into other formats
Group: Office/Utilities
Requires: %{libname} = %{version}-%{release}

%description tools
Tools to transform Macromedia/Adobe FreeHand documents into other formats.
Currently supported: SVG, raw.

%prep
%setup -q

%build
%configure2_5x --disable-silent-rules --disable-static --disable-werror
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make

%install
%makeinstall_std
rm -f %{buildroot}/%{_libdir}/*.la
# we install API docs directly from build
rm -rf %{buildroot}/%{_docdir}/%{name}



%files -n %libname
%doc AUTHORS COPYING
%{_libdir}/%{name}-%{apiversion}.so.%{major}*

%files -n %devname
%doc ChangeLog
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files doc
%doc COPYING
%doc docs/doxygen/html

%files tools
%{_bindir}/fh2raw
%{_bindir}/fh2svg



%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.1.0-4.mga5
+ Revision: 748535
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.0-3.mga5
+ Revision: 681465
- Mageia 5 Mass Rebuild

* Thu Jul 31 2014 tv <tv> 0.1.0-2.mga5
+ Revision: 658581
- bump major

* Thu Jul 31 2014 tv <tv> 0.1.0-1.mga5
+ Revision: 658563
- new release

* Thu Feb 06 2014 tv <tv> 0.0.0-5.mga5
+ Revision: 584328
- add devel provides

* Thu Feb 06 2014 tv <tv> 0.0.0-4.mga5
+ Revision: 584317
- fix %%description

* Thu Feb 06 2014 tv <tv> 0.0.0-3.mga5
+ Revision: 584310
- imported package libfreehand

